From a5693024161d15bd196d6ca205dd041874197c25 Mon Sep 17 00:00:00 2001
From: irregulator <irregulator@riseup.net>
Date: Fri, 9 Jan 2015 01:39:30 +0200
Subject: [PATCH] Compare keys with diff instead of sha256sum

---
 wiki/src/doc/get/trusting_tails_signing_key.mdwn | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

diff --git a/wiki/src/doc/get/trusting_tails_signing_key.mdwn b/wiki/src/doc/get/trusting_tails_signing_key.mdwn
index d038fe0..c33263d 100644
--- a/wiki/src/doc/get/trusting_tails_signing_key.mdwn
+++ b/wiki/src/doc/get/trusting_tails_signing_key.mdwn
@@ -22,17 +22,21 @@ directory on a USB stick. Then run the following command from a terminal to
 check whether all the keys are identical:
 
     cd [your download directory]
-    sha256sum tails-signing*.key
+    diff -qs --from-file tails-signing*.key
 
 This command would output something like this:
 
-    aa4ac9313d562c901ddeca1b32b4d539d1e3476c575da554a9b6ccaa3d8305eb  tails-signing-desktop.key
-    aa4ac9313d562c901ddeca1b32b4d539d1e3476c575da554a9b6ccaa3d8305eb  tails-signing-laptop.key
-    aa4ac9313d562c901ddeca1b32b4d539d1e3476c575da554a9b6ccaa3d8305eb  tails-signing-library.key
-    aa4ac9313d562c901ddeca1b32b4d539d1e3476c575da554a9b6ccaa3d8305eb  tails-signing-seattle.key
+    Files tails-signing-desktop.key and tails-signing-laptop.key are identical
+    Files tails-signing-desktop.key and tails-signing-library.key are identical
+    Files tails-signing-desktop.key and tails-signing-seattle.key are identical
 
-You would then need to visually check that all the checksums of the first column
-are the same, meaning that the keys are identical.
+You would then need to check that every line reports identical key files.
+
+If at least a key differs from the rest, the command would output accordingly:
+
+    Files tails-signing-desktop.key and tails-signing-laptop.key are identical
+    Files tails-signing-desktop.key and tails-signing-library.key are identical
+    Files tails-signing-desktop.key and tails-signing-seattle.key differ
 
 You could also use this technique to compare keys downloaded by your friends or
 other people you trust.
-- 
2.1.4

